@ECHO OFF&PUSHD %~DP0 &TITLE 绿化卸载(小俊修改)
mode con cols=48 lines=40
color 2F
>NUL 2>&1 REG.exe query "HKU\S-1-5-19" || (
    ECHO SET UAC = CreateObject^("Shell.Application"^) > "%TEMP%\Getadmin.vbs"
    ECHO UAC.ShellExecute "%~f0", "%1", "", "runas", 1 >> "%TEMP%\Getadmin.vbs"
    "%TEMP%\Getadmin.vbs"
    DEL /f /q "%TEMP%\Getadmin.vbs" 2>NUL
    Exit /b
)
:Menu
Cls
@ echo.
@ echo.　　　　　      菜 单 选 项
@ echo.     
@ echo.        绿化[必须] → 请输入0
@ echo.     
@ echo.        创建桌面图标 → 请输入1
@ echo.  
@ echo.        开启或关闭QQ秀精简版→ 请输入2
@ echo.  
@ echo.        开启或关闭本地会员→ 请输入3
@ echo.         
@ echo.        关闭或开启右下角弹窗→ 请输入4
@ echo.       
@ echo.        开启或关闭小视频组件→ 请输入5
@ echo.       
@ echo.        开启或关闭勋章墙按钮→ 请输入6
@ echo.              
@ echo.        关闭或开启界面顶部按钮 → 请输入7
@ echo.             
@ echo.        关闭或开启界面空间Tab → 请输入8
@ echo.                 
@ echo.        卸载 → 请输入9
@ echo.      
@ echo.绿化请选择0
@ echo. 
@ echo.首次开启第2选项，则为开启无秀版，再次选择2则为有秀版;首次开启3、4、5、6选项，则为开启本地会员、关闭右下角弹窗、开启小视频组件和开启勋章墙按钮，再次选择，则为关闭本地会员、开启右下角弹窗、关闭小视频组件和关闭勋章墙按钮。
@ echo. 
@ echo.选择7选项即可关闭界面顶部按钮，仅保留个性装扮按钮。再次选择7选项，则恢复全部按钮。
@ echo. 
@ echo.选择8选项即可关闭界面空间Tab。再次选择8选项，则恢复界面空间Tab。
@ echo. 
@ echo.需要空间信息右下角弹窗,请不要选择第4选项。
@ echo. 
set /p xj= 输入数字按回车：
if /i "%xj%"=="0" Goto Install
if /i "%xj%"=="1" Goto Establish
if /i "%xj%"=="2" Goto Close show
if /i "%xj%"=="3" Goto VIP
if /i "%xj%"=="4" Goto NoTips
if /i "%xj%"=="5" Goto VideoShow
if /i "%xj%"=="6" Goto MedalWall
if /i "%xj%"=="7" Goto noico
if /i "%xj%"=="8" Goto QzoneTab
if /i "%xj%"=="9" Goto Uninstall
@ echo.
echo 　　　  选择无效...请重新输入...
ping -n 2 127.1>nul
goto menu
:Install
:: 安装前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
@ echo.
echo 　　　  正在绿化中...请稍等...
:: 清理后台相关文件及注册残留
del/f/q "%tmp%\*.tvl">NUL 2>NUL
del/f/q "%tmp%\*.tsd">NUL 2>NUL
del/f/q "%tmp%\ts*.dat">NUL 2>NUL
del/f/q "%tmp%\QQSa*.exe">NUL 2>NUL
rd/s/q "%AppData%\Tencent\QQ"  2>NUL
rd/s/q "%AppData%\Tencent\Logs"2>NUL
rd/s/q "%AppData%\Tencent\Users"2>NUL
rd/s/q "%AppData%\Tencent\QTalk"2>NUL
rd/s/q "%AppData%\Tencent\QQLite"2>NUL
rd/s/q "%APPDATA%\Tencent\QQDoctor"2>NUL
rd/s/q "%AppData%\Tencent\DeskUpdate"2>NUL
rd/s/q "%AppData%\Tencent\QQMiniDL"2>NUL
rd/s/q "%AppData%\Tencent\Tencentdl"2>NUL
rd/s/q "%AppData%\Tencent\TenioDL"2>NUL
rd/s/q "%AppData%\Tencent\WebGamePlugin"2>NUL
rd/s/q "%AppData%\Tencent\File"2>NUL
rd/s/q "%AppData%\Tencent\Security001"2>NUL
rd/s/q "%ProgramData%\Tencent\QQProtect"2>NUL
rd/s/q "%AppData%\Tencent\AndroidAssist"2>NUL
rd/s/q "%AppData%\Tencent\AndroidServer"2>NUL
rd/s/q "%AppData%\Tencent\QQPhoneManager"2>NUL
rd/s/q "%AppData%\Tencent\QQPhoneAssistant"2>NUL
rd/s/q "%UserProfile%\Documents\Tencent"   2>NUL
rd/s/q "%UserProfile%\My Documents\Tencent"2>NUL
rd/s/q "%UserProFile%\AppData\LocalLow\QQMiniDL"2>NUL
rd/s/q "%AllUsersProfile%\Application Data\QQPet"2>NUL
rd/s/q "%UserProfile%\AppData\Local\Tencent\QQPet"2>NUL
rd/s/q "%UserProfile%\AppData\Local\Tencent\MiniBrowser"  2>NUL
rd/s/q "%USERPROFILE%\Local Settings\Tencent\QQPet"2>NUL
rd/s/q "%USERPROFILE%\Local Settings\QQKartLiveUpdate"2>NUL
rd/s/q "%UserProfile%\Documents\Tencent Files\QPlus"   2>NUL
rd/s/q "%UserProfile%\My Documents\Tencent Files\QPlus"2>NUL
rd/s/q "%AllUsersProfile%\Application Data\Tencent\QQProtect"2>NUL
reg delete HKLM\SYSTEM\CurrentControlSet\services\QQProtect /F>NUL 2>NUL
rd/s/q "%CommonProgramFiles%\Tencent\QQProtect"2>NUL
rd/s/q "%CommonProgramFiles(x86)%\Tencent\QQProtect"2>NUL
:: 注册下载助手登陆库控件（注：不传递到系统公用库并注册则打开它无法登陆)
if not exist "%Windir%\SysWOW64" "%CommonProgramFiles%\Tencent\TXSSO\Bin"2>NUL
if exist "%Windir%\SysWOW64" "%CommonProgramFiles(x86)%\Tencent\TXSSO\Bin"2>NUL
if not exist "%Windir%\SysWOW64" xcopy /i/y/e Bin\TXSSO\Bin "%CommonProgramFiles%\Tencent\TXSSO\Bin">NUL 2>NUL
if exist "%Windir%\SysWOW64" xcopy /i/y/e Bin\TXSSO\Bin "%CommonProgramFiles(x86)%\Tencent\TXSSO\Bin">NUL 2>NUL
if not exist "%Windir%\SysWOW64" regsvr32  /s  "%CommonProgramFiles%\Tencent\TXSSO\Bin\SSOLUIContro.dll"
if exist "%Windir%\SysWOW64" regsvr32  /s  "%CommonProgramFiles(x86)%\Tencent\TXSSO\Bin\SSOLUIContro.dll"
if not exist "%WinDir%\SysWOW64" reg add HKLM\Software\Tencent\TXSSO /v version /d "1.2.5.29" /F>NUL
if exist "%WinDir%\SysWOW64" reg add HKLM\Software\Wow6432Node\Tencent\TXSSO /v version /d "1.2.5.29" /F>NUL
:: 注册SSO核心库、快速登陆控件
regsvr32 /s Bin\TXSSO\Bin\SSOCommon.dll
regsvr32 /s Bin\TXSSO\Bin\npSSOAxCtrlForPTLogin.dll
:: 注册中转站上传，群共享、微云上传控件
regsvr32 /s Plugin\Com.Tencent.NetDisk\Bin\QQDisk\Bin\TXFTNActiveX.dll
::注册QQ相关组件
if exist Bin\Timwp.dll regsvr32  /s Bin\Timwp.dll
if exist Bin\AppCom.dll regsvr32 /s Bin\AppCom.dll
if exist Bin\CPHelper.dll regsvr32 /s Bin\CPHelper.dll
if exist Bin\TXPFProxy.dll regsvr32 /s Bin\TXPFProxy.dll
if exist Bin\KernelUtil.dll regsvr32 /s Bin\KernelUtil.dll
if exist Bin\TXPlatform.exe Bin\TXPlatform.exe /RegServer
if exist Bin\QQExterna.exe Bin\QQExterna.exe /SetupRegister
:: 复制相关数据
xcopy /s/i/y Bin\TXSSO\QQApp "%AppData%\Tencent\QQ\QQApp">NUL 2>NUL
xcopy /s/i/y I18N\CSC "%AppData%\Tencent\QQ\Misc\CSC">NUL 2>NUL
:: 生成个人文件夹保存位置配置文件，让Win、Win8或更高版的系统能正常保存自定义路径！
if not exist "%Public%\Documents\Tencent\QQ" md "%Public%\Documents\Tencent\QQ"2>NUL
if not exist "%Public%\Documents\Tencent\QQ\UserDataInfo.ini" echo.>"%Public%\Documents\Tencent\QQ\UserDataInfo.ini"2>NUL
:: 占用后禁止生成
md "%AppData%\Tencent\QQ\Misc\CSC\2052\2"2>NUL
md "%AppData%\Tencent\QQ\Misc\CSC\2052\7"2>NUL
md "%AppData%\Tencent\QQ\Misc\CSC\2052\9"2>NUL
md "%AppData%\Tencent\QQ\Misc\CSC\2052\13">NUL 2>NUL
md "%AppData%\Tencent\QQ\Misc\CSC\2052\14"2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\2\6" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\7\4" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\7\5" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\7\11" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\7\12" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\7\21" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\9\9" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\9\15" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\13\14" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\13\16" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\13\21" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\14\6" >NUL 2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\14\12" >NUL 2>NUL
:: 设置安装版本号,企业网页会话需要
if not exist "%WinDir%\SysWOW64" reg add HKLM\Software\Tencent\QQ2009 /v version /d "55.63.0.23161.0" /F>NUL
if exist "%WinDir%\SysWOW64" reg add HKLM\Software\Wow6432Node\Tencent\QQ2009 /v version /d "55.63.0.23161.0" /F>NUL
:: 设置安装路劲,安装视频留言和影音播放组件需要
if not exist "%WinDir%\SysWOW64" reg add HKLM\Software\Tencent\QQ2009 /v Install /d "%~dp0\" /F>NUL
if exist "%WinDir%\SysWOW64" reg add HKLM\Software\Wow6432Node\Tencent\QQ2009 /v Install /d "%~dp0\" /F>NUL
@ echo.
echo 　　　  绿化完成...请尽情使用吧!!! 
ping -n 2 140.1>nul
goto menu
:Establish
:: 创建桌面图标
@ echo.
echo 　　　  正在创建桌面图标...请稍等...
ping -n 2 127.1>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\腾讯QQ.lnk""):b.TargetPath=""%~dp0Bin\QQScLauncher.exe"":b.WorkingDirectory=""%~dp0Bin"":b.Save:close")
@ echo.
echo 　　　  已创建桌面图标...请尽情使用吧!!! 
ping -n 2 140.1>nul
goto menu
:Close show
:: 切换前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
:: 切换相关文件
if exist "Bin\AppFramework.close.dll" (
@ echo.
echo 　　　  正在开启QQ秀精简版...请稍等...
ping -n 2 127.1>nul
ren Bin\AppFramework.dll  AppFramework.open.dll
ren Bin\ChatFrameApp.dll  ChatFrameApp.open.dll
ren Bin\ConfigCenter.dll  ConfigCenter.open.dll
ren Bin\MainFrame.dll  MainFrame.open.dll
ren Plugin\Com.Tencent.VAS\bin\VAS.dll  VAS.open.dll
ren Resource.9.0.1.23161\Data.rdb  Data.rdb.open
ren Resource.9.0.1.23161\Xtml.rdb  Xtml.rdb.open
ren Plugin\Com.Tencent.VAS\Bundle.rdb  Bundle.rdb.open

ren Bin\AppFramework.close.dll  AppFramework.dll
ren Bin\ChatFrameApp.close.dll  ChatFrameApp.dll
ren Bin\ConfigCenter.close.dll  ConfigCenter.dll
ren Bin\MainFrame.close.dll  MainFrame.dll
ren Plugin\Com.Tencent.VAS\bin\VAS.close.dll  VAS.dll
ren Resource.9.0.1.23161\Data.rdb.close  Data.rdb
ren Resource.9.0.1.23161\Xtml.rdb.close  Xtml.rdb
ren Plugin\Com.Tencent.VAS\Bundle.rdb.close  Bundle.rdb

ren Bin\ark.dll  ark.open.dll
ren Bin\CPHelper.dll CPHelper.open.dll
ren Bin\QQApp.exe  QQApp.open.exe
ren Bin\QQIPC.dll  QQIPC.open.dll
ren Bin\QQService.dll  QQService.open.dll
ren Bin\RequestHost.dll  RequestHost.open.dll

ren Plugin\Com.Tencent.Graffito  Com.Tencent.Graffito.open
ren Plugin\Com.Tencent.HRTX  Com.Tencent.HRTX.open
ren Plugin\Com.Tencent.MMOG  Com.Tencent.MMOG.open
ren Plugin\Com.Tencent.QQPet  Com.Tencent.QQPet.open
ren Plugin\Com.Tencent.QQRing  Com.Tencent.QQRing.open
ren Plugin\Com.Tencent.QQShow  Com.Tencent.QQShow.open
ren Plugin\Com.Tencent.Stock  Com.Tencent.Stock.open
ren Plugin\Com.Tencent.Today  Com.Tencent.Today.open
ren Plugin\Com.Tencent.Tribe  Com.Tencent.Tribe.open
ren Plugin\Com.Tencent.Winks  Com.Tencent.Winks.open

rd/s/q "%AppData%\Tencent\QQ\QQApp">NUL 2>NUL
@ echo.
echo 　　　  已开启QQ秀精简版...请尽情使用吧!!!
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在关闭QQ秀精简版...请稍等...
ping -n 2 127.1>nul
ren Bin\AppFramework.dll  AppFramework.close.dll
ren Bin\ChatFrameApp.dll  ChatFrameApp.close.dll
ren Bin\ConfigCenter.dll  ConfigCenter.close.dll
ren Bin\MainFrame.dll  MainFrame.close.dll
ren Plugin\Com.Tencent.VAS\bin\VAS.dll  VAS.close.dll
ren Resource.9.0.1.23161\Data.rdb  Data.rdb.close
ren Resource.9.0.1.23161\Xtml.rdb  Xtml.rdb.close
ren Plugin\Com.Tencent.VAS\Bundle.rdb  Bundle.rdb.close

ren Bin\AppFramework.open.dll  AppFramework.dll
ren Bin\ChatFrameApp.open.dll  ChatFrameApp.dll
ren Bin\ConfigCenter.open.dll  ConfigCenter.dll
ren Bin\MainFrame.open.dll  MainFrame.dll
ren Plugin\Com.Tencent.VAS\bin\VAS.open.dll  VAS.dll
ren Resource.9.0.1.23161\Data.rdb.open  Data.rdb
ren Resource.9.0.1.23161\Xtml.rdb.open  Xtml.rdb
ren Plugin\Com.Tencent.VAS\Bundle.rdb.open  Bundle.rdb

ren Bin\ark.open.dll ark.dll
ren Bin\CPHelper.open.dll CPHelper.dll
ren Bin\QQApp.open.exe  QQApp.exe
ren Bin\QQIPC.open.dll  QQIPC.dll
ren Bin\QQService.open.dll  QQService.dll
ren Bin\RequestHost.open.dll  RequestHost.dll

ren Plugin\Com.Tencent.Graffito.open  Com.Tencent.Graffito
ren Plugin\Com.Tencent.HRTX.open  Com.Tencent.HRTX
ren Plugin\Com.Tencent.MMOG.open  Com.Tencent.MMOG
ren Plugin\Com.Tencent.QQPet.open  Com.Tencent.QQPet
ren Plugin\Com.Tencent.QQRing.open  Com.Tencent.QQRing
ren Plugin\Com.Tencent.QQShow.open  Com.Tencent.QQShow
ren Plugin\Com.Tencent.Stock.open  Com.Tencent.Stock
ren Plugin\Com.Tencent.Today.open  Com.Tencent.Today
ren Plugin\Com.Tencent.Tribe.open  Com.Tencent.Tribe
ren Plugin\Com.Tencent.Winks.open  Com.Tencent.Winks

xcopy /s/i/y Bin\TXSSO\QQApp "%AppData%\Tencent\QQ\QQApp">NUL 2>NUL
@ echo.
echo 　　　  已关闭QQ秀精简版...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:VIP
:: 切换前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
:: 切换相关文件
if exist "Bin\KernelUtil.open.dll" (
@ echo.
echo 　　　  正在开启本地会员...请稍等...
ren Bin\KernelUtil.dll  KernelUtil.close.dll
ping -n 2 127.1>nul
ren Bin\KernelUtil.open.dll  KernelUtil.dll
@ echo.
echo 　　　  已开启本地会员...请尽情使用吧!!! 
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在关闭本地会员...请稍等...
ren Bin\KernelUtil.dll  KernelUtil.open.dll
ping -n 2 127.1>nul
ren Bin\KernelUtil.close.dll  KernelUtil.dll
@ echo.
echo 　　　  已关闭本地会员...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:NoTips
:: 切换前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
:: 切换相关文件
if exist "Bin\SystemMsg.close.dll" (
@ echo.
echo 　　　  正在关闭右下角弹窗...请稍等... 
ren Bin\SystemMsg.dll  SystemMsg.open.dll
ping -n 2 127.1>nul
ren Bin\SystemMsg.close.dll  SystemMsg.dll
@ echo.
echo 　　　  已关闭右下角弹窗...请尽情使用吧!!! 
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在开启右下角弹窗...请稍等...
ren Bin\SystemMsg.dll  SystemMsg.close.dll
ping -n 2 127.1>nul
ren Bin\SystemMsg.open.dll SystemMsg.dll
@ echo.
echo 　　　  已开启右下角弹窗...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:VideoShow
if exist "Bin\MediaFileEx.open.dll" (
@ echo.
echo 　　　  正在开启小视频组件...请稍等...
ping -n 2 127.1>nul
ren Bin\avcodec-54bp1.open.dll  avcodec-54bp1.dll
ren Bin\avformat-54bp1.open.dll  avformat-54bp1.dll
ren Bin\avutil-51bp1.open.dll  avutil-51bp1.dll
ren Bin\MediaFileEx.open.dll  MediaFileEx.dll
ren Bin\swresample-0bp1.open.dll  swresample-0bp1.dll
ren Bin\swscale-2bp1.open.dll  swscale-2bp1.dll
@ echo.
echo 　　　  已开启小视频组件...请尽情使用吧!!! 
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在关闭小视频组件...请稍等...
ping -n 2 127.1>nul
ren Bin\avcodec-54bp1.dll  avcodec-54bp1.open.dll
ren Bin\avformat-54bp1.dll  avformat-54bp1.open.dll
ren Bin\avutil-51bp1.dll  avutil-51bp1.open.dll
ren Bin\MediaFileEx.dll  MediaFileEx.open.dll
ren Bin\swresample-0bp1.dll  swresample-0bp1.open.dll
ren Bin\swscale-2bp1.dll  swscale-2bp1.open.dll
@ echo.
echo 　　　  已关闭小视频组件...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:MedalWall
:: 切换前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
:: 切换相关文件
if exist "Bin\AppMisc.open.dll" (
@ echo.
echo 　　　  正在开启勋章墙按钮...请稍等...
ren Bin\AppMisc.dll  AppMisc.close.dll
ping -n 2 127.1>nul
ren Bin\AppMisc.open.dll AppMisc.dll
@ echo.
echo 　　　  已开启勋章墙按钮...请尽情使用吧!!! 
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在关闭勋章墙按钮...请稍等...
ren Bin\AppMisc.dll  AppMisc.open.dll
ping -n 2 127.1>nul
ren Bin\AppMisc.close.dll  AppMisc.dll
@ echo.
echo 　　　  已关闭勋章墙按钮...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:noico
:: 切换前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
:: 切换相关文件
if exist "config.xml.close.txd" (
@ echo.
echo 　　　  正在关闭界面顶部按钮...请稍等...
ren Plugin\pluginlist.tpc.txd  pluginlist.tpc.open.txd
ren config.xml.txd  config.xml.open.txd
ping -n 2 127.1>nul
ren Plugin\pluginlist.tpc.close.txd  pluginlist.tpc.txd
ren config.xml.close.txd  config.xml.txd
@ echo.
echo 　　　  已关闭界面顶部按钮...请尽情使用吧!!! 
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在开启界面顶部按钮...请稍等...
ren Plugin\pluginlist.tpc.txd  pluginlist.tpc.close.txd
ren config.xml.txd  config.xml.close.txd
ping -n 2 127.1>nul
ren Plugin\pluginlist.tpc.open.txd  pluginlist.tpc.txd
ren config.xml.open.txd  config.xml.txd
@ echo.
echo 　　　  已开启界面顶部按钮...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:QzoneTab
:: 切换前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
:: QzoneTab
if exist "Plugin\Com.Tencent.Qzone\Bin\Qzone.close.dll" (
@ echo.
echo 　　　  正在关闭界面空间Tab...请稍等...
ren Plugin\Com.Tencent.Qzone\Bin\Qzone.dll  Qzone.open.dll
ping -n 2 127.1>nul
ren Plugin\Com.Tencent.Qzone\Bin\Qzone.close.dll  Qzone.dll
@ echo.
echo 　　　  已开启关闭界面空间Tab...请尽情使用吧!!! 
ping -n 2 140.1>nul
) else (
@ echo.
echo 　　　  正在开启空间Tab...请稍等...
ren Plugin\Com.Tencent.Qzone\Bin\Qzone.dll  Qzone.close.dll
ping -n 2 127.1>nul
ren Plugin\Com.Tencent.Qzone\Bin\Qzone.open.dll  Qzone.dll
@ echo.
echo 　　　  已开启空间Tab...请尽情使用吧!!! 
ping -n 2 140.1>nul
)
goto menu
:Uninstall
:: 卸载前结束相关进程
@ echo.
echo 　　　  正在结束相关进程...
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
taskkill /f /im QQP* >NUL 2>NUL
taskkill /f /im QQC* >NUL 2>NUL
taskkill /f /im QQ.exe >NUL 2>NUL
@ echo.
echo 　　　  正在卸载中...请稍等...
::清理相关数据
rd/s/q "%ProgramData%\QQPet"2>NUL
rd/s/q "%AppData%\Tencent\QQ"2>NUL
rd/s/q "%AppData%\QXiu Files"2>NUL
rd/s/q "%AppData%\Tencent\TXSSO"2>NUL
rd/s/q "%AppData%\Tencent\STemp"2>NUL
rd/s/q "%AppData%\Tencent\Users"2>NUL
rd/s/q "%AppData%\Tencent\QTalk"2>NUL
rd/s/q "%AppData%\QQAppAssistant"2>NUL
rd/s/q "%AppData%\Tencent\QQMiniDL"2>NUL
rd/s/q "%AppData%\Tencent\DeskUpdate"2>NUL
rd/s/q "%AppData%\Tencent\QzoneMusic"2>NUL
rd/s/q "%AppData%\Tencent\AndroidAssist"2>NUL
rd/s/q "%AppData%\Tencent\QQPhoneManager"2>NUL
rd/s/q "%AppData%\Tencent\QQMiniDL"2>NUL
rd/s/q "%AppData%\Tencent\Tencentdl"2>NUL
rd/s/q "%AppData%\Tencent\TenioDL"2>NUL
rd/s/q "%AppData%\Tencent\WebGamePlugin"2>NUL
rd/s/q "%AppData%\Tencent\File"2>NUL
rd/s/q "%AppData%\Tencent\Security001"2>NUL
rd/s/q "%ProgramData%\Tencent\QQProtect" 2>NUL
rd/s/q "%UserProFile%\AppData\LocalLow\QQMiniDL"2>NUL
rd/s/q "%UserProfile%\AppData\Local\Tencent\Misc"2>NUL
rd/s/q "%AllUsersProfile%\Application Data\QQPet"2>NUL
rd/s/q "%UserProfile%\AppData\Local\Tencent\MiniBrowser"  2>NUL
rd/s/q "%UserProfile%\AppData\Local\Tencent\QQPet"2>NUL
rd/s/q "%USERPROFILE%\Local Settings\Tencent\QQPet"2>NUL
rd/s/q "%USERPROFILE%\Local Settings\QQKartLiveUpdate"2>NUL
rd/s/q "%AllUsersProfile%\Application Data\Tencent\QQProtect"2>NUL
rd/s/q "%CommonProgramFiles%\Tencent\QQProtect"2>NUL
rd/s/q "%CommonProgramFiles(x86)%\Tencent\QQProtect"2>NUL
::卸载所有控件
regsvr32 /s /u Bin\TXSSO\Bin\SSOCommon.dll
regsvr32 /s /u Bin\TXSSO\Bin\npSSOAxCtrlForPTLogin.dll
if exist Bin\Timwp.dll regsvr32 /s /u Bin\Timwp.dll
if exist Bin\AppCom.dll regsvr32 /s /u Bin\AppCom.dll
if exist Bin\CPHelper.dll regsvr32 /s /u Bin\CPHelper.dll
if exist Bin\TXPFProxy.dll regsvr32 /s /u Bin\TXPFProxy.dll
if exist Bin\KernelUtil.dll regsvr32 /s /u Bin\KernelUtil.dll
if exist Bin\TXPlatform.exe Bin\TXPlatform.exe /UnregServer
regsvr32 /s /u Plugin\Com.Tencent.NetDisk\Bin\QQDisk\Bin\TXFTNActiveX.dll
if not exist "%Windir%\SysWOW64" regsvr32 /s /u "%CommonProgramFiles%\Tencent\TXSSO\Bin\SSOLUIControl.dll"
if exist "%Windir%\SysWOW64" regsvr32 /s /u "%CommonProgramFiles(x86)%\Tencent\TXSSO\Bin\SSOLUIControl.dll"
::删除注册表键值
reg delete HKCU\Tencent /F  >NUL 2>NUL
reg delete HKLM\Software\Classes\QQPet /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\Plugin /F  >NUL 2>NUL
reg delete HKCU\Software\Tencent\QQ2009 /F  >NUL 2>NUL
reg delete HKLM\Software\Tencent\QQ2009 /F  >NUL 2>NUL
reg delete HKCU\Software\Classes\Tencent /F >NUL 2>NUL
reg delete HKLM\Software\Classes\Tencent /F >NUL 2>NUL
reg delete HKCU\Software\Tencent\QQProtect /F>NUL 2>NUL
reg delete HKCU\Software\Classes\EMOTION.File /F    >NUL 2>NUL
reg delete HKCU\Software\Classes\EMOTION.Package /F >NUL 2>NUL
reg delete HKCU\Software\Tencent\AndroidAssistant /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\AndroidServer /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\bugReport /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\HealthAssistor /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\PLATFORM_CLSID_LIST /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\PlatForm_Type_List /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\QABS99 /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\QQ /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\QQMiniDL /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\TodayDo /F>NUL 2>NUL
reg delete HKCU\Software\Tencent\WebGamePlugin /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\BackupDownloader /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\DeskUpdate /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\MyCubeLogger /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\PcMgrBrowserHp /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\QMAndroidServer /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\QQGame /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\QQPhotoDrawEx /F>NUL 2>NUL
reg delete HKLM\Software\Tencent\Report /F>NUL 2>NUL
reg delete HKLM\SOFTWARE\Wow6432Node\Classes\QQPet /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\QQ2009 /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\BackupDownloader /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\DeskUpdate /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\MyCubeLogger /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\PcMgrBrowserHp /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\QMAndroidServer /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\QQGame /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\QQPhotoDrawEx /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\Report /F>NUL 2>NUL
reg delete HKLM\Software\Wow6432Node\Classes\Tencent /F>NUL 2>NUL
reg delete HKLM\SYSTEM\CurrentControlSet\services\QQProtect /F>NUL 2>NUL
::删除桌面图标(只支持系统默认桌面位置)
del /q "%userprofile%\桌面\腾讯QQ.lnk" >NUL 2>NUL
del /q "%userprofile%\Desktop\腾讯QQ.lnk" >NUL 2>NUL
@ echo.
echo 　　　  卸载完成...欢迎再次使用!!! 
ping -n 2 140.1>nul
goto menu